#!/bin/sh

# QLogic ISP2xxx device driver rpm build script
# Copyright (C) 2010-2011 QLogic Corporation
# (www.qlogic.com)
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2, or (at your option) any
# later version.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
export sources='/usr/src/redhat/SOURCES/'
export srpms='/usr/src/redhat/SRPMS/'
export rpms='/usr/src/redhat/RPMS/i386/'

function kernel() { uname -r; }
function driver() { awk '/Version:/ { print $2; exit }' ./qla2xxx-xen.spec; }

kernel
driver

folder=`echo ${PWD} | sed 's/.*\/\(.*\)/\1/'`
cp -r ../${folder} /tmp/qla2xxx
cd /tmp/qla2xxx/
tar -vczf qla2xxx-src-v$(driver).tar.gz ../qla2xxx

cp qla2xxx-src-v$(driver).tar.gz $sources

cd -

rpmbuild -ta --define "kernel_version $(kernel)" --define "flavor xen" --rebuild $sources/qla2xxx-src-v$(driver).tar.gz

rm -rf qla2xxx-src-v$(driver).tar.gz /tmp/qla2xxx

